1. Advertising
    y u no do it?

    Advertising (learn more)

    Advertise virtually anything here, with CPM banner ads, CPM email ads and CPC contextual links. You can target relevant areas of the site and show ads based on geographical location of the user if you wish.

    Starts at just $1 per CPM or $0.10 per CPC.

Hostgator is offering old PHP version and buggy support?

Discussion in 'Web Hosting' started by trichnosis, Sep 27, 2019.

  1. #1
    Hello;

    I've recently closed one of my servers and i've purchased a shared hosting from hostgator

    Hostgator was providing perfect service with great great hosting

    As i mentioned in title,

    * hostgator is current offer very old software (They currently offering php 7.1. Please see https://www.php.net/supported-versions.php . It's so close to END OF LIFE)

    * Hostgator is offering mysql 5.6 . It's also a very old version (I do not even mention about MariaDB)

    * The worst of all, they do not provide support. Please see the screenshot of their support techs . The hostgator support tech says "I do not think that Php 7.1 has security problems" (FYI, PHP 7.1.31 released 01 Aug 2019 because of security problems. If you check https://www.php.net/archive/2019.php#2019-08-01-3, You will find tons of security issues for php 7.1 which is the only option that hostgator is offering)

    what i understand from my 1 month hostgator experience is below

    If you purchase hostgator

    * You will get hacked because hostgator is offer php versions which has security issues (and they refuse to provide a newer version)

    * Their support is beyond shit and they have to technical information


    1. Does anybody had similar experience with buggy hostgator?
    SEMrush
    2. Do you have any hosting suggestions which is not like hostgator (i mean a hosting company who provides better software and support because hostgator does not have both)

    Thanks for the suggestions

    Regards
     

    Attached Files:

    trichnosis, Sep 27, 2019 IP
    SEMrush
  2. pavv

    pavv Active Member

    Messages:
    255
    Likes Received:
    6
    Best Answers:
    1
    Trophy Points:
    70
    #2
    I suppose they don't want to update to PHP 7.2/7.3 yet because many sites will have issues which will result in more tickets.
    I still see sites/PHP code that works only on PHP 5.6

    You can ask the next host what PHP versions they have etc :)
     
    pavv, Sep 27, 2019 IP
  3. GlowHost-Sales

    GlowHost-Sales Member

    Messages:
    32
    Likes Received:
    0
    Best Answers:
    0
    Trophy Points:
    41
    #3
    Assuming the company has not only one server for hosted account, maybe that worth to ask them if they can move your account to another server which has proper version of php.
    Actually PHP version information is not that kind of information which is displayed on the web site of the provider, because web site content upgrade could happen rarely then PHP version update.
    Would be ideal to get a few potential candidates (the ones which provide money back as well) and ask/make sure which versions do they have and about their upgrade policy.
     
    GlowHost-Sales, Sep 30, 2019 IP
  4. trichnosis

    trichnosis Prominent Member

    Messages:
    13,785
    Likes Received:
    333
    Best Answers:
    0
    Trophy Points:
    300
    #4
    can anybody suggest me a hosting company instead of hostgator shit?
     
    trichnosis, Oct 16, 2019 at 11:48 AM IP